Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# QueueFillRequest Class Reference

Request to fill DebugQueues with a certain QueueFillMode. More...

`#include <QueueFillRequest.h>`

List of all members.

## Public Types
typedef enum QueueFillRequest::QueueFillMode | QueueFillMode
| different modes for filling debug queues
enum | QueueFillMode { immediateReadWrite, collectNSeconds, toStickNSeconds, overwriteOlder, rejectAll, toStickImmediately, collect, saveCollected, sendCollected, blockNewMessages }
| different modes for filling debug queues More...
## Public Member Functions
| QueueFillRequest ()
| Constructor.
| QueueFillRequest (QueueFillMode qfm, long sec=1)
| Constructor.
## Public Attributes
QueueFillMode | mode
| requested mode for filling a DebugQueue
long | seconds
| how many seconds shall we wait in collectNSeconds mode

## Detailed Description

Request to fill DebugQueues with a certain QueueFillMode.

Definition at line 17 of file QueueFillRequest.h.

## Member Typedef Documentation

typedef enum QueueFillRequest::QueueFillMode QueueFillRequest::QueueFillMode

| different modes for filling debug queues Referenced by QueueFillRequest().

## Member Enumeration Documentation

enum QueueFillRequest::QueueFillMode

  | different modes for filling debug queues Enumeration values:
  immediateReadWrite |
  collectNSeconds |
  toStickNSeconds |
  overwriteOlder |
  rejectAll |
  toStickImmediately |
  collect |
  saveCollected |
  sendCollected |
  blockNewMessages |
Definition at line 21 of file QueueFillRequest.h.

## Constructor & Destructor Documentation

QueueFillRequest::QueueFillRequest | ( |  | ) | `[inline]`

| Constructor. Definition at line 35 of file QueueFillRequest.h. References immediateReadWrite, and seconds.

QueueFillRequest::QueueFillRequest | ( | QueueFillMode | qfm,
|  | long | sec = 1
| ) | `[inline]`

  | Constructor. Parameters:
  qfm | The requested QueueFillMode.
  sec | Number of seconds to wait for in NSeconds modes.
Definition at line 41 of file QueueFillRequest.h. References QueueFillMode, sec(), and seconds.

Here is the call graph for this function:

## Member Data Documentation

QueueFillMode QueueFillRequest::mode

| requested mode for filling a DebugQueue Definition at line 44 of file QueueFillRequest.h. Referenced by Debug::handleMessage().

long QueueFillRequest::seconds

| how many seconds shall we wait in collectNSeconds mode Definition at line 47 of file QueueFillRequest.h. Referenced by Debug::handleMessage(), and QueueFillRequest().

The documentation for this class was generated from the following file:

- Tools/Debugging/QueueFillRequest.h